Bug 176507 - Adds support for madwifi-ng devices to /etc/sysconfig/network-scripts/*
Summary: Adds support for madwifi-ng devices to /etc/sysconfig/network-scripts/*
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-23 19:41 UTC by kelsey hudson
Modified: 2014-03-17 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 18:55:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against initscripts-8.11.1-1 (2.55 KB, patch)
2005-12-23 19:41 UTC, kelsey hudson
no flags Details | Diff

Description kelsey hudson 2005-12-23 19:41:57 UTC
Description of problem:

madwifi-ng allows the same wireless board to work in configurations of access
point, station, and ad-hoc, all at the same time with different settings. To
achieve this, madwifi created a master device wlan%d. From this master device
you must create pseudodevices (slaves). The following patch makes this process
easy by simply adding some config options and a (small) hack to allow devices
"not present" at boot time to still be configured.

Version-Release number of selected component (if applicable):
All.

Additional info:

Look! there's a patch! (attached)

I've added my ifcfg-ath0

Comment 1 kelsey hudson 2005-12-23 19:41:57 UTC
Created attachment 122566 [details]
Patch against initscripts-8.11.1-1

Comment 2 Bill Nottingham 2006-01-09 18:54:52 UTC
This seems like it would be better solved in a madwifi support package (such as
one that contains wlanconfig) by using the support for alternate
ifup-$(DEVICETYPE) scripts directly.


Note You need to log in before you can comment on or make changes to this bug.